File: changelog

package info (click to toggle)
python-prctl 1.7-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 160 kB
  • sloc: ansic: 705; python: 530; makefile: 80
file content (80 lines) | stat: -rw-r--r-- 2,654 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
python-prctl (1.7-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 26 Jul 2019 20:50:43 +0200

python-prctl (1.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Felix Geyer ]
  * New upstream release.
    - Avoids leaking "x" into the environment. (Closes: #601224)
  * Build-depend on python3-sphinx instead of python-sphinx.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 24 Apr 2018 18:04:15 +0200

python-prctl (1.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 18 Jun 2017 09:37:38 +0200

python-prctl (1.6.1-1) experimental; urgency=medium

  * New upstream version (Closes: #750470)
    - Fixes: prctl.set_proctitle corrupts process environment (Closes: #776476)
  * Set maintainer to DPMT with current maintainer's consent
  * Add a python3 package (Closes: #858448)
  * Clean up build-depends
  * Switch to debhelper compat level 10
  * Use Homepage control field for upstream repo
  * Add a watch file
  * Declare compatibility with policy 3.9.8

 -- Felix Geyer <fgeyer@debian.org>  Sat, 06 May 2017 21:20:54 +0200

python-prctl (1.1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786312.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Aug 2015 18:22:28 +0200

python-prctl (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build documentation in override_dh_auto_build target rather than in build
    target (closes: #666322). Thanks to Lucas Nussbaum for the bug report.
    + Bump build-dependency on debhelper to >= 7.0.50~.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Apr 2012 18:48:35 +0200

python-prctl (1.1.1-1) unstable; urgency=low

  * Allow the running kernel to be < 2.6.26, useful for buildds
  * Initial release to debian proper (Closes: #578328)

 -- Dennis Kaarsemaker <dennis@kaarsemaker.net>  Mon, 19 Apr 2010 21:55:57 +0200

python-prctl (1.1-0~seveas1) lucid; urgency=low

  * New upstream release
   - Add full capability handling

 -- Dennis Kaarsemaker <dennis@kaarsemaker.net>  Sun, 21 Mar 2010 22:36:00 +0100

python-prctl (1.0-0~seveas1) unstable; urgency=low

  * Initial release.

 -- Dennis Kaarsemaker <dennis@kaarsemaker.net>  Fri, 12 Mar 2010 21:39:15 +0100